package com.house365.xxx.house.word.search.sell;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;

import com.house365.xxx.house.word.search.DicType;
import com.house365.xxx.house.word.search.dto.DistrictStreet;
import com.house365.xxx.house.word.search.dto.WordBean;
import com.house365.xxx.house.word.search.util.PinyinToolkit;

/**
 * 学校
 * 
 * @author dzw 20151221
 *
 */
@Component
public class SchoolLoader extends SellLoader {

	@Override
	protected DicType getDicType() {
		return DicType.SCHOLL;
	}

	@Override
	protected String getLoadSql() {
		return "SELECT\r\n" + 
				"	t_school.id,\r\n" + 
				"	t_school.schoolname,\r\n" + 
				"	t_school.district,\r\n" + 
				"	t_street.streetname,\r\n" + 
				"	t_school.sellcount,\r\n" + 
				"	t_school.rentcount,\r\n" + 
				"	'' AS alias,\r\n" + 
				"	'' AS extinfo,\r\n" + 
				"	'' AS averPrice\r\n" + 
				"FROM\r\n" + 
				"	(\r\n" + 
				"		SELECT\r\n" + 
				"			t_school.id,\r\n" + 
				"			t_school.schoolname,\r\n" + 
				"			t_school.district,\r\n" + 
				"			t_school.streetid,\r\n" + 
				"			sum(\r\n" + 
				"				ifnull(t_block_count.sellcount, 0)\r\n" + 
				"			) AS sellcount,\r\n" + 
				"			sum(\r\n" + 
				"				ifnull(t_block_count.rentcount, 0)\r\n" + 
				"			) AS rentcount\r\n" + 
				"		FROM\r\n" + 
				"			school t_school\r\n" + 
				"		LEFT OUTER JOIN school_block t_school_block ON t_school.id = t_school_block.school_id\r\n" + 
				"		LEFT OUTER JOIN block_count t_block_count ON t_school_block.block_id = t_block_count.blockid\r\n" + 
				"		GROUP BY\r\n" + 
				"			t_school.id,\r\n" + 
				"			t_school.schoolname,\r\n" + 
				"			t_school.district,\r\n" + 
				"			t_school.streetid\r\n" + 
				"	) t_school\r\n" + 
				"LEFT OUTER JOIN street t_street ON t_school.streetid = t_street.id";
	}

	@Override
	protected Log getLogger() {
		return LogFactory.getLog(SchoolLoader.class);
	}

    @Override
    protected WordBean getWordBean(int id, String name, String pinyin, DicType dicType,
            DistrictStreet districtStreet, int sellCount, int rentCount, String alias, String extInfo, String averPrice) {
        WordBean wordBean = new WordBean(id, name, PinyinToolkit.cn2Spell(name), getDicType(),
                districtStreet, sellCount, rentCount, alias, extInfo, averPrice);
        return wordBean;
    }
}
