/*
 * Copyright (C), 2002-2020, 江苏三六五网络股份有限公司
 * FileName: RefreshJob.java
 * Author:   gaoyuan
 * Date:     2020年5月25日 下午4:02:39
 * Description: //模块目的、功能描述      
 * History: //修改记录
 * <author>      <time>      <version>    <desc>
 * 修改人姓名             修改时间            版本号                  描述
 */
package com.house365.xxx.house.word.search.servlet;

import java.io.UnsupportedEncodingException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.house365.xxx.common.util.DefDocOutputDevice;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.context.ApplicationContext;
import com.house365.xxx.house.word.search.job.BlockRefreshLoader;

/**
 * 
 * 小区手动刷新
 * @author gaoyuan
 * @version [版本号, 2020年11月11日]
 * @see [相关类/方法]（可选）
 * @since [产品/模块版本] （可选）
 */
public class BlockRefresh extends HttpServlet{
	
	private static final long serialVersionUID = 1L;
	
	private static Log logger = LogFactory.getLog(BlockRefresh.class);
	
	private static BlockRefreshLoader blockLoader;
	
	public void init() throws ServletException {
		ApplicationContext applicationContext = InitServlet
				.getApplicationContext();
		blockLoader = applicationContext.getBean(BlockRefreshLoader.class);
	}

	public void doGet(HttpServletRequest request, HttpServletResponse response) {
		doPost(request, response);
	}

	public void doPost(HttpServletRequest request, HttpServletResponse response) {
		try {
			try {
				request.setCharacterEncoding("UTF-8");
			} catch (UnsupportedEncodingException e) {
				logger.error(e.getMessage(), e);
			}
			String city = request.getParameter("city");
			if(null == city)
				DefDocOutputDevice.showJson(response,"城市参数不能为空！","UTF-8");
			blockLoader.refreshBlock(city);
			DefDocOutputDevice.showJson(response,"block refresh success!","UTF-8");
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			DefDocOutputDevice.showJson(response,"block refresh fail!","UTF-8");
		}
	}

}
